import vega from 'vega';
import vegaLite from 'vega-lite';
import vl from 'vega-lite-api';
import { viz } from './viz';

// Derived from https://observablehq.com/@vega/vega-lite-api
vl.register(vega, vegaLite);

// Use scaleFactor for HiDPI Canvas rendering.
// This makes it look good on retina displays,
// and also works well with VizHub's full screen mode.
const scaleFactor = 3;
const view = viz().toView();
view.toCanvas(scaleFactor).then(canvas => {
  document.body.appendChild(canvas);
  canvas.style.width = canvas.width / scaleFactor + 'px';
  canvas.style.height = canvas.height / scaleFactor + 'px';
});
